# Uses of Class
it.tdlight.jni.TdApi.InputPersonalDocument

## Uses of TdApi.InputPersonalDocument in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.InputPersonalDocument
Modifier and Type
Field
Description
`TdApi.InputPersonalDocument`
TdApi.InputPassportElementBankStatement.`bankStatement`
The bank statement to be saved.
`TdApi.InputPersonalDocument`
TdApi.InputPassportElementPassportRegistration.`passportRegistration`
The passport registration page to be saved.
`TdApi.InputPersonalDocument`
TdApi.InputPassportElementRentalAgreement.`rentalAgreement`
The rental agreement to be saved.
`TdApi.InputPersonalDocument`
TdApi.InputPassportElementTemporaryRegistration.`temporaryRegistration`
The temporary registration document to be saved.
`TdApi.InputPersonalDocument`
TdApi.InputPassportElementUtilityBill.`utilityBill`
The utility bill to be saved.
Constructors in it.tdlight.jni with parameters of type TdApi.InputPersonalDocument
Modifier
Constructor
Description
``
`InputPassportElementBankStatement(TdApi.InputPersonalDocument bankStatement)`
A Telegram Passport element to be saved containing the user's bank statement.
``
`InputPassportElementPassportRegistration(TdApi.InputPersonalDocument passportRegistration)`
A Telegram Passport element to be saved containing the user's passport registration.
``
`InputPassportElementRentalAgreement(TdApi.InputPersonalDocument rentalAgreement)`
A Telegram Passport element to be saved containing the user's rental agreement.
``
`InputPassportElementTemporaryRegistration(TdApi.InputPersonalDocument temporaryRegistration)`
A Telegram Passport element to be saved containing the user's temporary registration.
``
`InputPassportElementUtilityBill(TdApi.InputPersonalDocument utilityBill)`
A Telegram Passport element to be saved containing the user's utility bill.